Imports System.IO
Public Class Form1
    Inherits System.Windows.Forms.Form
    Private Sub Check_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Check.Click
        Dim OFD As New OpenFileDialog
        Dim file As String
        With OFD
            .InitialDirectory = "%systemdrive%"
            .Title = "Choose Wii/Gamecube ISO"
            .Filter = "Wii/Gamecube ISO Files (*.iso)|*.iso|" & "Gamecube GCM Files (*.gcm)|*.gcm|" & "All files|*.*"
            .Multiselect = True
            If .ShowDialog = Windows.Forms.DialogResult.OK Then
                For Each file In OFD.FileNames
                    Dim fileSize As Long
                    fileSize = My.Computer.FileSystem.GetFileInfo(file).Length
                    If fileSize = 4699979776 Then
                        MsgBox(file + " is the correct size", MsgBoxStyle.Information, "Single Layer Wii Game")
                    Else
                        If fileSize = 8511160320 Then
                            MsgBox(file + " is the correct size", MsgBoxStyle.Information, "Dual Layer Wii Game")
                        Else
                            If fileSize = 1459978240 Then
                                MsgBox(file + " is the correct size", MsgBoxStyle.Information, "GameCube Game")
                            Else
                                Dim wrongsize As String
                                wrongsize = fileSize.ToString
                                MsgBox(file + " is an incorrect size. It is " + wrongsize + " bytes instead of 1459978240 bytes", MsgBoxStyle.Exclamation, "Wrong Size")
                            End If
                        End If
                    End If
                Next
            End If
        End With
    End Sub
End Class